Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5082)
@@ -482,5 +482,5 @@
 ! 1440 = 15 days
 ! 480 = 5 days
-if (MOD(counter,1440).eq. 0) THEN
+if (MOD(counter,1440)== 0) THEN
    !if (MOD(counter,480).eq. 0) THEN
    do k = 1,klon
@@ -760,5 +760,5 @@
          dp=dp*exp(dstep)
          sizeclass(i)=dp
-         if(dp.ge.dmax+eps)goto 30
+         if(dp>=dmax+eps)goto 30
          newstep(i)=dstep
         ! WRITE(18,*)i,sizeclass(i)
@@ -769,5 +769,5 @@
       print*,'   soil size classes used   ',ncl,' / ',nclass
       print*,'   soil size min: ',sizeclass(1),' soil size max: ',sizeclass(ncl)
-      if(ncl.gt.nclass)stop
+      if(ncl>nclass)stop
 
 ! Threshold velocity:
@@ -780,5 +780,5 @@
             cc=sqrt(1+ddust*(sizeclass(i)**(-2.5)))
             xk=sqrt(abs(rop*gravity*sizeclass(i)/roa))
-            if (bb.lt.10.) then
+            if (bb<10.) then
                dd=sqrt(1.928*(bb**0.092)-1.)
                uth(i)=0.129*xk*cc/dd
@@ -817,5 +817,5 @@
            nsi=((j-1)*3)+2
            npi=((j-1)*3)+3
-           IF (solspe(ns,nd).EQ.0.)THEN
+           IF (solspe(ns,nd)==0.)THEN
               su_loc=0.
            ELSE
@@ -833,5 +833,5 @@
      END DO
      DO i=1,ncl
-        IF (subsoildist(i).gt.0..and.stotale.gt.0.)THEN
+        IF (subsoildist(i)>0..and.stotale>0.)THEN
             srel(ns,i)=subsoildist(i)/stotale
 
@@ -854,5 +854,5 @@
           do k=1,ntyp
      !     print*,'IKKK ',i,klon,k,ntyp
-             if (zos(i,k).eq.0..or.z01(i,k).eq.0.) then
+             if (zos(i,k)==0..or.z01(i,k)==0.) then
      !       if (zos(i,k)<=0..or.z01(i,k)<=0.) then
 !              if (zos(i,k)<0..or.z01(i,k)<0.) then
@@ -873,5 +873,5 @@
 ! drag partition between zo1 and zo2
 ! feff: total efficient fraction
-              if(D(i,k).eq.0.)then
+              if(D(i,k)==0.)then
                  feff(i,k)=cc
    !       print*,'IKKK C ',i,klon,k,ntyp
@@ -882,8 +882,8 @@
    !       print*,'IKKK D ',i,klon,k,ntyp
               endif
-              if (feff(i,k).lt.0.)feff(i,k)=0.
-              if (feffdbg(i,k).lt.0.)feffdbg(i,k)=0.
-              if (feff(i,k).gt.1.)feff(i,k)=1.
-              if (feffdbg(i,k).gt.1.)feffdbg(i,k)=1.
+              if (feff(i,k)<0.)feff(i,k)=0.
+              if (feffdbg(i,k)<0.)feffdbg(i,k)=0.
+              if (feff(i,k)>1.)feff(i,k)=1.
+              if (feffdbg(i,k)>1.)feffdbg(i,k)=1.
     !      print*,'IKKK E ',i,klon,k,ntyp
             endif
@@ -891,5 +891,5 @@
         enddo
 ! JE20150120<<
-  if (flag_feff .eq. 0) then
+  if (flag_feff == 0) then
     print *,'JE_dbg FORCED deactivated feff'
     do i=1,klon
@@ -1208,5 +1208,5 @@
                          - 0.5*log(auxreal/(2.*pi))+1./(12.*auxreal) &
                          -1./(360.*(auxreal**3.))+1./(1260.*(auxreal**5.)))
-                IF(nwb.gt.1)THEN
+                IF(nwb>1)THEN
                    wind10ms(kwb)=kwb*2.*U10mMOD/nwb
 !original
@@ -1220,5 +1220,5 @@
                    probu(kwb)=pdfu*2.*U10mMOD/nwb
                    pdfcum=pdfcum+probu(kwb)
-                      IF(probu(kwb).le.1.e-2)GOTO 70
+                      IF(probu(kwb)<=1.e-2)GOTO 70
                 ELSE
                    wind10ms(kwb)=U10mMOD
@@ -1235,8 +1235,8 @@
 !                  nat=int(sol(i,n))
 !                    print *,i,n
-                    IF(sol(i,n).gt.1..and.sol(i,n).lt.15.) nat=int(sol(i,n))
+                    IF(sol(i,n)>1..and.sol(i,n)<15.) nat=int(sol(i,n))
 !JE20140526<<
 !                    print *,'JE: WARNING: nat=0 forced to nat=99!! and doing nothing'
-                   IF(sol(i,n).lt.0.5) THEN
+                   IF(sol(i,n)<0.5) THEN
                       nat=99
                       GOTO 80
@@ -1247,5 +1247,5 @@
                  !IF(n.eq.1.and.nat.eq.99)GOTO 80
              !      if(n.eq.1) print*,'nat1=',nat,'sol1=',sol(i,n)
-                   IF(n.eq.1.and.nat.eq.99)GOTO 80
+                   IF(n==1.and.nat==99)GOTO 80
 
              ENDIF
@@ -1261,6 +1261,6 @@
                       cpcent=P(i,n)
                       ustarsalt=0.
-                   IF(ceff.le.0..or.z0salt.eq.0.)GOTO 80
-                   IF(cerod.eq.0.or.cpcent.eq.0.)GOTO 80
+                   IF(ceff<=0..or.z0salt==0.)GOTO 80
+                   IF(cerod==0.or.cpcent==0.)GOTO 80
 ! in cm: utmin, umin, z10m, z0salt, ustarns
 ! in meters: modwm
@@ -1273,5 +1273,5 @@
 
 
-                   IF(ustarsalt.lt.umin/ceff)GOTO 80
+                   IF(ustarsalt<umin/ceff)GOTO 80
 !                      print*,'ustarsalt = ',ustarsalt
 !----------------------------------------
@@ -1281,5 +1281,5 @@
       do ni=1,kfin
          fdp1=1.-(uth2(ni)/(ceff*ustarsalt))
-         if (fdp1.le.0..or.srel2(nat,ni).eq.0.) then
+         if (fdp1<=0..or.srel2(nat,ni)==0.) then
             ad1=0.
             ad2=0.
@@ -1297,8 +1297,8 @@
             t2=0.
             t3=0.
-            if(ec.ge.e1)t1=1.
-            if(ec.ge.e2)t2=1.
-            if(ec.ge.e3)t3=1.
-            if(dfec3.ne.0.)then
+            if(ec>=e1)t1=1.
+            if(ec>=e2)t2=1.
+            if(ec>=e3)t3=1.
+            if(dfec3/=0.)then
                p1=t1*dfec1/dfec3
                p2=t2*(1.-p1)*dfec2/dfec3
@@ -1409,5 +1409,5 @@
             srel2(nat,kfin)=srel(nat,i)*istep
          enddo
-         if(kfin.ge.nclass)then
+         if(kfin>=nclass)then
             print*,'$$$$ Tables dimension problem:',kfin,'>',nclass
          endif
@@ -1440,5 +1440,5 @@
       ihalf=int((ismax+ismin)/2.)
       do k2=1,1000000
-          if(ds.gt.siz(ihalf))then
+          if(ds>siz(ihalf))then
              ismin=ihalf
           else
@@ -1447,5 +1447,5 @@
           ihalf=int((ismax+ismin)/2.)
           idiff=ismax-ismin
-          if(idiff.le.1)then
+          if(idiff<=1)then
              iout=ismin
              goto 52
@@ -1453,5 +1453,5 @@
       enddo
  52   continue
-      if(iout.eq.0)then
+      if(iout==0)then
         print*,'$$$$ Tables dimension problem: ',iout
       endif
@@ -1519,15 +1519,15 @@
        diffmol1(nb)=dmn1*(1.+dmn2+dmn3)
        diffmol2(nb)=bolz*temp*Cc/(3.*pi*muair*binsHRcm(nb))
-       IF(idiffusi.EQ.1)diffmole(nb)=diffmol1(nb)
-       IF(idiffusi.EQ.2)diffmole(nb)=diffmol2(nb)
+       IF(idiffusi==1)diffmole(nb)=diffmol1(nb)
+       IF(idiffusi==2)diffmole(nb)=diffmol2(nb)
        schmidtnumb(nb)=nuair/diffmole(nb)
        St=setvel(nb)*ustarbin*ustarbin/(gravity*nuair)
        rb=1./(ustarbin*((schmidtnumb(nb))**(-2./3.)+10.**(-3./St)))
 !c wesely (primarily designed for gases)
-       IF(idrydep.EQ.1)THEN
+       IF(idrydep==1)THEN
           vdout(nb)=1./(ra+rb+ra*rb*setvel(nb))+setvel(nb)
        END IF
 !c venkatram and pleim (more adaptated to particles but numerically unstable)
-       IF(idrydep.EQ.2)THEN
+       IF(idrydep==2)THEN
         rexp=exp(-(ra+rb)*setvel(nb))
         vdout(nb)=setvel(nb)/(1.-rexp)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/finemission.F	(revision 5082)
@@ -65,5 +65,5 @@
 
       DO i=1,klon
-         IF (iregion_ind(i).GT.0) THEN
+         IF (iregion_ind(i)>0) THEN
        IF(id_fine>0)    source_tr(i,id_fine)=source_tr(i,id_fine)+
      .                (scale_param_ff(iregion_ind(i))*lmt_bcff(i)+     !g/m2/s
@@ -81,5 +81,5 @@
      .                     *1.e4*1.e3
          ENDIF
-         IF (iregion_bb(i).GT.0) THEN
+         IF (iregion_bb(i)>0) THEN
        IF(id_fine>0)    source_tr(i,id_fine)=source_tr(i,id_fine)+
      .                (scale_param_bb(iregion_bb(i))*lmt_bcbb_l(i)+   !g/m2/s
@@ -132,5 +132,5 @@
           zzdz=zalt(i,kmaxbc+1)-zalt(i,kminbc)
 c
-         IF (iregion_bb(i) .GT.0) THEN
+         IF (iregion_bb(i) >0) THEN
         IF(id_fine>0)   tr_seri(i,k,id_fine)=tr_seri(i,k,id_fine)+
      .              (scale_param_bb(iregion_bb(i))*lmt_bcbb_h(i)+
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F	(revision 5082)
@@ -58,5 +58,5 @@
 c
 cnhl      IF (it.EQ.2.OR.it.EQ.3) THEN !--aerosol  ! AS IT WAS FIRST
-      IF (it.EQ.2.OR.it.EQ.3.OR.it.EQ.4) THEN !--aerosol
+      IF (it==2.OR.it==3.OR.it==4) THEN !--aerosol
         frac=frac_aer
       ELSE                                                !--gas
@@ -64,5 +64,5 @@
       ENDIF
 c
-      IF (it.EQ.1) THEN 
+      IF (it==1) THEN
       DO k=1, klev
       DO i=1, klon 
@@ -75,5 +75,5 @@
       ENDDO 
       ENDDO
-      ELSEIF (it.EQ.2) THEN
+      ELSEIF (it==2) THEN
       DO k=1, klev
       DO i=1, klon 
@@ -81,5 +81,5 @@
       ENDDO 
       ENDDO
-      ELSEIF (it.EQ.3) THEN
+      ELSEIF (it==3) THEN
       DO k=1, klev
       DO i=1, klon 
@@ -87,5 +87,5 @@
       ENDDO 
       ENDDO 
-      ELSEIF (it.EQ.4) THEN
+      ELSEIF (it==4) THEN
       DO k=1, klev
       DO i=1, klon 
@@ -119,6 +119,6 @@
 c--reevaporation
         beta=flxr_aux(i,k)-flxr_aux(i,k+1)+flxs_aux(i,k)-flxs_aux(i,k+1)
-        IF (beta.LT.0.) beta=beta/(flxr_aux(i,k+1)+flxs_aux(i,k+1))
-        IF (flxr_aux(i,k)+flxs_aux(i,k).EQ.0) THEN  !--reevaporation totale
+        IF (beta<0.) beta=beta/(flxr_aux(i,k+1)+flxs_aux(i,k+1))
+        IF (flxr_aux(i,k)+flxs_aux(i,k)==0) THEN  !--reevaporation totale
           beta=MIN(MAX(0.0,-beta),1.0)
         ELSE                          !--reevaporation non totale pour aerosols
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5082)
@@ -177,5 +177,5 @@
   ENDDO
 
-    IF (it.gt.1) THEN                               !  aerosol   
+    IF (it>1) THEN                               !  aerosol
       frac_ev=frac_aer
     ELSE                                                !  gas
@@ -183,5 +183,5 @@
     ENDIF
 
-    IF(it.gt.1) then  ! aerosol
+    IF(it>1) then  ! aerosol
      DO k=1, klev
       DO i=1, klon 
@@ -203,5 +203,5 @@
 !  incloud scavenging
 !   if(inscav_fisrt) then 
-   if (iflag_lscav .eq. 4) then
+   if (iflag_lscav == 4) then
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -219,5 +219,5 @@
 
 !  below-cloud impaction
-    IF(it.eq.1) then
+    IF(it==1) then
       d_tr_bcscav(i,k,it)=0.
     ELSE
@@ -236,5 +236,5 @@
       deltaP(i,k)=max(deltaP(i,k),0.)
 
-      if(flxr(i,k+1)+flxs(i,k+1).gt.1.e-16) then
+      if(flxr(i,k+1)+flxs(i,k+1)>1.e-16) then
        beta_ev(i,k)=deltaP(i,k)/(flxr(i,k+1)+flxs(i,k+1))
       else
@@ -246,5 +246,5 @@
 !jyg
       
-      if(abs(1-(1-frac_ev)*beta_ev(i,k)).gt.1.e-16) then
+      if(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) then
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !      dxev=frac_ev*beta_ev(i,k)*his_dh(i) *pdtime/(zrho(i,k)*zdz(i,k)) &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5082)
@@ -188,5 +188,5 @@
 
 !JE<<
-    IF (it.eq.id_prec) THEN                               !  gas
+    IF (it==id_prec) THEN                               !  gas
       frac_ev=frac_gas
     ELSE                                   !aerosol
@@ -194,5 +194,5 @@
     ENDIF
 
-    IF (it.eq.id_prec) THEN                               !  gas
+    IF (it==id_prec) THEN                               !  gas
      DO k=1, klev
       DO i=1, klon 
@@ -214,5 +214,5 @@
 !  incloud scavenging
 !   if(inscav_fisrt) then 
-   if (iflag_lscav .eq. 4) then
+   if (iflag_lscav == 4) then
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -230,5 +230,5 @@
 
 !  below-cloud impaction
-    IF(it.eq.id_prec) then
+    IF(it==id_prec) then
       d_tr_bcscav(i,k,it)=0.
     ELSE
@@ -247,5 +247,5 @@
       deltaP(i,k)=max(deltaP(i,k),0.)
 
-      if(flxr(i,k+1)+flxs(i,k+1).gt.1.e-16) then
+      if(flxr(i,k+1)+flxs(i,k+1)>1.e-16) then
        beta_ev(i,k)=deltaP(i,k)/(flxr(i,k+1)+flxs(i,k+1))
       else
@@ -257,5 +257,5 @@
 !jyg
       
-      if(abs(1-(1-frac_ev)*beta_ev(i,k)).gt.1.e-16) then
+      if(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) then
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !      dxev=frac_ev*beta_ev(i,k)*his_dh(i) *pdtime/(zrho(i,k)*zdz(i,k)) &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.F	(revision 5082)
@@ -25,5 +25,5 @@
       zqmax=zq(ijmax,lmax)
  
-      if(zqmin.lt.qmin.or.zqmax.gt.qmax) 
+      if(zqmin<qmin.or.zqmax>qmax)
      s     write(*,9999) comment,
      s     ijmin,lmin,zqmin,ijmax,lmax,zqmax
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.F	(revision 5082)
@@ -26,5 +26,5 @@
       zqmax=zq(ijmax,lmax)
 
-      if(zqmin.lt.qmin.or.zqmax.gt.qmax) 
+      if(zqmin<qmin.or.zqmax>qmax)
      s     write(*,9999) comment,
      s     ijmin,lmin,zqmin,ijmax,lmax,zqmax
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.F	(revision 5082)
@@ -44,7 +44,7 @@
         do i=1,klon
 
-	if (u10_mps(i) .lt. 0.) u10_mps(i) = 0.0
+	if (u10_mps(i) < 0.) u10_mps(i) = 0.0
 	
-	if  (obklen_m(i) .lt. 0.) then 
+	if  (obklen_m(i) < 0.) then
 		phi = (1. - 160./obklen_m(i))**(-0.25)
 		phi_inv = 1./phi
@@ -56,5 +56,5 @@
 		f3 = atan(dum1)
 		psi = 2.*log(f1) + log(f2) - 2.*f3 + pi/2.   
-	else if (obklen_m(i) .gt. 0.) then
+	else if (obklen_m(i) > 0.) then
 		psi = -50. / obklen_m(i)
 	end if
@@ -62,8 +62,8 @@
 	u10n_mps(i) = u10_mps(i) + (ustar_mps(i) * psi /von_karman )
 c u10n set to 0. if -1 < obklen < 20
-        if ((obklen_m(i).gt.-1.).and.(obklen_m(i).lt.20.)) then
+        if ((obklen_m(i)>-1.).and.(obklen_m(i)<20.)) then
             u10n_mps(i) = 0.
         endif
-	if (u10n_mps(i) .lt. 0.) u10n_mps(i) = 0.0
+	if (u10n_mps(i) < 0.) u10n_mps(i) = 0.0
 
         enddo
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/nightingale.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/nightingale.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/nightingale.F	(revision 5082)
@@ -59,5 +59,5 @@
 c equal to value at 30 deg C.
 
-      IF (ftsol(i,is_oce) .LE. 303.15) THEN
+      IF (ftsol(i,is_oce) <= 303.15) THEN
          t1 = ftsol(i,is_oce) 
       ELSE
@@ -77,5 +77,5 @@
      .        * lmt_dmsconc(i)/1.0e12 * schmidt_corr * RNAVO
 c
-      IF (lmt_dmsconc(i).LE.1.e-20) lmt_dms(i)=0.0
+      IF (lmt_dmsconc(i)<=1.e-20) lmt_dms(i)=0.0
 c
       ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5082)
@@ -680,5 +680,5 @@
        CALL histwrite_phy(o_tauy, zx_tmp_fi2d)
 
-       IF (landice_opt .GE. 1 ) THEN
+       IF (landice_opt >= 1 ) THEN
           CALL histwrite_phy(o_snowsrf, snow_o)
           CALL histwrite_phy(o_qsnow, qsnow)
@@ -769,5 +769,5 @@
        CALL histwrite_phy(o_uq, uq)
        CALL histwrite_phy(o_vq, vq)
-       IF (iflag_con.GE.3) THEN ! sb
+       IF (iflag_con>=3) THEN ! sb
           CALL histwrite_phy(o_cape, cape)
           CALL histwrite_phy(o_pbase, ema_pcb)
@@ -865,8 +865,8 @@
           DO k=1, nlevSTD
              bb2=clevSTD(k) 
-             IF (bb2.EQ."850".OR.bb2.EQ."700".OR. &
-                bb2.EQ."500".OR.bb2.EQ."200".OR. &
-                bb2.EQ."100".OR. &
-                bb2.EQ."50".OR.bb2.EQ."10") THEN
+             IF (bb2=="850".OR.bb2=="700".OR. &
+                bb2=="500".OR.bb2=="200".OR. &
+                bb2=="100".OR. &
+                bb2=="50".OR.bb2=="10") THEN
                 ll=ll+1
                 CALL histwrite_phy(o_uSTDlevs(ll),ulevSTD(:,k))
@@ -882,6 +882,6 @@
        IF (vars_defined) THEN
           DO i=1, klon
-             IF (pctsrf(i,is_oce).GT.epsfra.OR. &
-                  pctsrf(i,is_sic).GT.epsfra) THEN
+             IF (pctsrf(i,is_oce)>epsfra.OR. &
+                  pctsrf(i,is_sic)>epsfra) THEN
                 zx_tmp_fi2d(i) = (ftsol(i, is_oce) * pctsrf(i,is_oce)+ &
                      ftsol(i, is_sic) * pctsrf(i,is_sic))/ &
@@ -895,5 +895,5 @@
 
        ! Couplage convection-couche limite
-       IF (iflag_con.GE.3) THEN
+       IF (iflag_con>=3) THEN
           IF (iflag_coupl>=1) THEN
              CALL histwrite_phy(o_ale_bl, ale_bl)
@@ -902,5 +902,5 @@
        ENDIF !(iflag_con.GE.3)
        ! Wakes
-       IF (iflag_con.EQ.3) THEN
+       IF (iflag_con==3) THEN
           IF (iflag_wake>=1) THEN
              CALL histwrite_phy(o_ale_wk, ale_wake)
@@ -924,5 +924,5 @@
           CALL histwrite_phy(o_fqd, fqd)
        ENDIF !(iflag_con.EQ.3)
-       IF (iflag_con.EQ.3.OR.iflag_con.EQ.30) THEN
+       IF (iflag_con==3.OR.iflag_con==30) THEN
           ! sortie RomP convection descente insaturee iflag_con=30
           ! etendue a iflag_con=3 (jyg)
@@ -953,5 +953,5 @@
           CALL histwrite_phy(o_slab_qflux, slab_wfbils)
           !CALL histwrite_phy(o_slab_bils, slab_bils)
-          IF (nslay.EQ.1) THEN
+          IF (nslay==1) THEN
               zx_tmp_fi2d(:)=tslab(:,1)
               CALL histwrite_phy(o_tslab, zx_tmp_fi2d)
@@ -1013,5 +1013,5 @@
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
-       IF (flag_aerosol.GT.0) THEN
+       IF (flag_aerosol>0) THEN
           CALL histwrite_phy(o_od550aer, od550aer)
           CALL histwrite_phy(o_od865aer, od865aer)
@@ -1037,5 +1037,5 @@
           !--STRAT AER
        ENDIF
-       IF (flag_aerosol.GT.0.OR.flag_aerosol_strat>=1) THEN
+       IF (flag_aerosol>0.OR.flag_aerosol_strat>=1) THEN
 !          DO naero = 1, naero_spc
 !--correction mini bug OB
@@ -1083,5 +1083,5 @@
           CALL histwrite_phy(o_solswai, solswai_aero)
        ENDIF
-       IF (flag_aerosol.GT.0.AND.ok_cdnc) THEN
+       IF (flag_aerosol>0.AND.ok_cdnc) THEN
           CALL histwrite_phy(o_scdnc, scdnc)
           CALL histwrite_phy(o_cldncl, cldncl)
@@ -1215,5 +1215,5 @@
        ENDIF
        CALL histwrite_phy(o_dtcon, zx_tmp_fi3d)
-       IF (iflag_thermals.eq.0)THEN
+       IF (iflag_thermals==0)THEN
           IF (vars_defined) THEN
              zx_tmp_fi3d(1:klon,1:klev)=d_t_con(1:klon,1:klev)/pdtphys + &
@@ -1221,5 +1221,5 @@
           ENDIF
           CALL histwrite_phy(o_tntc, zx_tmp_fi3d)
-       ELSEIF (iflag_thermals.ge.1.and.iflag_wake.EQ.1)THEN
+       ELSEIF (iflag_thermals>=1.and.iflag_wake==1)THEN
           IF (vars_defined) THEN
              zx_tmp_fi3d(1:klon,1:klev)=d_t_con(1:klon,1:klev)/pdtphys + &
@@ -1236,8 +1236,8 @@
        CALL histwrite_phy(o_dqcon, zx_tmp_fi3d)
 
-       IF (iflag_thermals.EQ.0) THEN
+       IF (iflag_thermals==0) THEN
           IF (vars_defined) zx_tmp_fi3d(1:klon,1:klev)=d_q_con(1:klon,1:klev)/pdtphys
           CALL histwrite_phy(o_tnhusc, zx_tmp_fi3d)
-       ELSEIF (iflag_thermals.GE.1.AND.iflag_wake.EQ.1) THEN
+       ELSEIF (iflag_thermals>=1.AND.iflag_wake==1) THEN
           IF (vars_defined) THEN
              zx_tmp_fi3d(1:klon,1:klev)=d_q_con(1:klon,1:klev)/pdtphys + &
@@ -1449,7 +1449,7 @@
        CALL histwrite_phy(o_ref_liq, ref_liq)
        CALL histwrite_phy(o_ref_ice, ref_ice)
-       IF (RCO2_per.NE.RCO2_act.OR.RCH4_per.NE.RCH4_act.OR. &
-            RN2O_per.NE.RN2O_act.OR.RCFC11_per.NE.RCFC11_act.OR. &
-            RCFC12_per.NE.RCFC12_act) THEN
+       IF (RCO2_per/=RCO2_act.OR.RCH4_per/=RCH4_act.OR. &
+            RN2O_per/=RN2O_act.OR.RCFC11_per/=RCFC11_act.OR. &
+            RCFC12_per/=RCFC12_act) THEN
           IF (vars_defined) zx_tmp_fi2d(1 : klon) = swupp ( 1 : klon, klevp1 )
           CALL histwrite_phy(o_rsut4co2, zx_tmp_fi2d)
@@ -1575,5 +1575,5 @@
              DO k=1, nlevSTD
                 DO i=1, klon
-                   IF (O3STD(i,k).NE.missing_val) THEN
+                   IF (O3STD(i,k)/=missing_val) THEN
                       zx_tmp_fi3d_STD(i,k) = O3STD(i,k) * 1.e+9
                    ELSE
@@ -1588,5 +1588,5 @@
                 DO k=1, nlevSTD
                    DO i=1, klon
-                      IF (O3daySTD(i,k).NE.missing_val) THEN
+                      IF (O3daySTD(i,k)/=missing_val) THEN
                          zx_tmp_fi3d_STD(i,k) = O3daySTD(i,k) * 1.e+9
                       ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5082)
@@ -94,5 +94,5 @@
   LOGICAL , parameter :: edgar = .true.
   INTEGER , parameter :: flag_dms=4
-  INTEGER*4  nbjour
+  INTEGER(kind=4)  nbjour
 
       !
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.F	(revision 5082)
@@ -105,5 +105,5 @@
 
       DO i=1, klon
-         IF (iregion_ind(i).GT.0) THEN
+         IF (iregion_ind(i)>0) THEN
        IF(id_prec>0) source_tr(i,id_prec)=source_tr(i,id_prec) 
      .             + fracso2emis
@@ -137,5 +137,5 @@
      .               *1.e4/RNAVO*masse_ammsulfate*1.e3    ! mgS/m2/s
          ENDIF
-         IF (iregion_bb(i).GT.0) THEN
+         IF (iregion_bb(i)>0) THEN
       IF(id_prec>0) source_tr(i,id_prec)= 
      .                  source_tr(i,id_prec) + fracso2emis
@@ -213,6 +213,6 @@
       DO i = 1, klon
         zaltmid(i,k)=zalt(i,k)+zdz(i,k)/2.
-        IF (zalt(i,k+1).LT.lmt_altvolc_cont(i)) kkk_cont(i)=k+1
-        IF (zalt(i,k+1).LT.lmt_altvolc_expl(i)) kkk_expl(i)=k+1
+        IF (zalt(i,k+1)<lmt_altvolc_cont(i)) kkk_cont(i)=k+1
+        IF (zalt(i,k+1)<lmt_altvolc_expl(i)) kkk_expl(i)=k+1
       ENDDO
       ENDDO
@@ -234,5 +234,5 @@
       DO i = 1, klon
 c
-         IF (iregion_bb(i).GT.0) THEN
+         IF (iregion_bb(i)>0) THEN
       IF(id_prec>0)   tr_seri(i,k,id_prec)=
      .              tr_seri(i,k,id_prec) + fracso2emis
@@ -245,5 +245,5 @@
      .              *masse_ammsulfate/RNAVO/zdz(i,k)/100.*pdtphys   !g/cm3
          ENDIF
-         IF (iregion_ind(i).GT.0) THEN
+         IF (iregion_ind(i)>0) THEN
        IF(id_prec>0)  tr_seri(i,k,id_prec)=
      .              tr_seri(i,k,id_prec) + (fracso2emis
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.F	(revision 5082)
@@ -204,5 +204,5 @@
       print *,'READ_EMISSION: test_vent & test_day = ',test_vent, 
      +                                                 test_day
-      IF (test_vent.EQ.0) THEN    !--on lit toutes les 6 h                                                                      
+      IF (test_vent==0) THEN    !--on lit toutes les 6 h
         CALL SCOPY(klon, u10m_ec2, 1, u10m_ec1, 1)
         CALL SCOPY(klon, v10m_ec2, 1, v10m_ec1, 1)
@@ -246,5 +246,5 @@
       jH_vent=jH_vent+pdtphys/(24.*3600.)
       test_vent=test_vent+1
-      IF (jH_vent.GT.(vent_resol)/24.) THEN
+      IF (jH_vent>(vent_resol)/24.) THEN
           test_vent=0
           jH_vent=jH_init
@@ -258,5 +258,5 @@
       DO i=1, klon
 c
-        IF (cly(i).LT.9990..AND.wth(i).LT.9990.) THEN
+        IF (cly(i)<9990..AND.wth(i)<9990.) THEN
           zprecipinsoil(i)=zprecipinsoil(i) +
      .           (pmflxr(i,1)+pmflxs(i,1)+prfl(i,1)+psfl(i,1))*pdtphys
@@ -277,6 +277,6 @@
       icount=0
       DO i=1, klon
-        IF (cly(i).GE.9990..OR.wth(i).GE.9990..OR.
-     .     t_seri(i,1).LE.273.15.OR.zprecipinsoil(i).GT.1.e-8) THEN
+        IF (cly(i)>=9990..OR.wth(i)>=9990..OR.
+     .     t_seri(i,1)<=273.15.OR.zprecipinsoil(i)>1.e-8) THEN
              dust_ec(i)=0.0 ! commented out for test dustemtest
 !             print *,'Dust emissions surpressed at grid = ',i
@@ -330,5 +330,5 @@
 c
       
-      IF (test_day.EQ.0) THEN
+      IF (test_day==0) THEN
         print *,'Computing SULFATE emissions for day : ',iday,julien, 
      .                                                   step_vent
@@ -362,5 +362,5 @@
       jH_day=jH_day+pdtphys/(24.*3600.)
       test_day=test_day+1
-      IF (jH_day.GT.(day_resol)/24.) THEN
+      IF (jH_day>(day_resol)/24.) THEN
           print *,'LAST TIME STEP OF DAY ',julien
           test_day=0
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90	(revision 5082)
@@ -170,7 +170,7 @@
      lon_cen=(ATAN(TAN(tempo)*COS(incli))-duree_orb*tempo)*RADEG
      demi_larg=demi_larg_eq/COS(rlat(i)*DTOR)
-     IF (ABS(SIN(rlat(i)*DTOR)/SIN(incli)).GE.1.0) demi_larg=200.0
-     IF (rlat(i).GE.lat_fin.AND.rlat(i).LE.lat_debut) THEN 
-        IF (demi_larg.GE. 180.) THEN 
+     IF (ABS(SIN(rlat(i)*DTOR)/SIN(incli))>=1.0) demi_larg=200.0
+     IF (rlat(i)>=lat_fin.AND.rlat(i)<=lat_debut) THEN
+        IF (demi_larg>= 180.) THEN
            masque(i)=1
         ELSE  
@@ -178,8 +178,8 @@
            lon_east = MOD(lon0+lon_cen+demi_larg,      360.)
            zlon     = MOD(rlon(i)+360.,                360.)
-           IF (lon_west.LE.lon_east) THEN 
-              IF (zlon.GE.lon_west.AND.zlon.LE.lon_east) masque(i)=1
+           IF (lon_west<=lon_east) THEN
+              IF (zlon>=lon_west.AND.zlon<=lon_east) masque(i)=1
            ELSE               
-              IF (zlon.GE.lon_west.OR.zlon.LE.lon_east) masque(i)=1
+              IF (zlon>=lon_west.OR.zlon<=lon_east) masque(i)=1
            ENDIF
         ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.F	(revision 5082)
@@ -106,5 +106,5 @@
        temp=t_seri(i,k)-RTT
 c
-       IF (temp.LT.0.) THEN
+       IF (temp<0.) THEN
          air_visco(i,k)=(1.718+0.0049*temp-1.2e-5*temp*temp)*1.e-4 
        ELSE
@@ -127,6 +127,6 @@
         rh=MIN(RHcl(i,k)*100.,RH_MAX)
         RH_num = INT( rh/10. + 1.)
-        IF (rh.gt.85.) RH_num=10
-        IF (rh.gt.90.) RH_num=11
+        IF (rh>85.) RH_num=10
+        IF (rh>90.) RH_num=11
         DELTA=(rh-RH_tab(RH_num))/(RH_tab(RH_num+1)-RH_tab(RH_num))
 c
@@ -149,5 +149,5 @@
 c---------check for v_sed*dt<zdz
 c
-       IF (v_sed*time_step.GT.zdz(i,k)) THEN
+       IF (v_sed*time_step>zdz(i,k)) THEN
          v_sed=zdz(i,k)/time_step      
        ENDIF
@@ -216,5 +216,5 @@
 c---------check for v_sed*dt<zdz
 c
-       IF (v_sed*time_step.GT.zdz(i,k)) THEN
+       IF (v_sed*time_step>zdz(i,k)) THEN
          v_sed=zdz(i,k)/time_step      
        ENDIF
@@ -285,5 +285,5 @@
 
 
-       IF (v_sed*time_step.GT.zdz(i,k)) THEN
+       IF (v_sed*time_step>zdz(i,k)) THEN
          v_sed=zdz(i,k)/time_step
        ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90	(revision 5082)
@@ -94,5 +94,5 @@
   modname='splaeropt_5wv_rrtm'
 
-  IF (naero.GT.naero_tot) THEN 
+  IF (naero>naero_tot) THEN
     CALL abort_physic(modname,'Too many aerosol types',1)
   ENDIF
@@ -106,6 +106,6 @@
       rh(i,k)=MIN(RHcl(i,k)*100.,RH_MAX)
       RH_num(i,k) = INT( rh(i,k)/10. + 1.)
-      IF (rh(i,k).GT.85.) RH_num(i,k)=10
-      IF (rh(i,k).GT.90.) RH_num(i,k)=11
+      IF (rh(i,k)>85.) RH_num(i,k)=10
+      IF (rh(i,k)>90.) RH_num(i,k)=11
       delta(i,k)=(rh(i,k)-RH_tab(RH_num(i,k)))*fact_RH(RH_num(i,k))
     ENDDO
@@ -128,5 +128,5 @@
 
       !--only 550 and 865 nm are used
-      IF (la.NE.la550.AND.la.NE.la865) CYCLE
+      IF (la/=la550.AND.la/=la865) CYCLE
 
       IF (soluble) THEN  !--soluble aerosol with RH dependence
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90	(revision 5082)
@@ -143,5 +143,5 @@
   modname='splaeropt_6bands_rrt'
 
-  IF (NSW.NE.nbands_sw_rrtm) THEN
+  IF (NSW/=nbands_sw_rrtm) THEN
      CALL abort_physic(modname,'Erreur NSW doit etre egal a 6 pour cette routine',1)
   ENDIF
@@ -155,6 +155,6 @@
       rh(i,k)=MIN(RHcl(i,k)*100.,RH_MAX)
       RH_num(i,k) = INT(rh(i,k)/10. + 1.)
-      IF (rh(i,k).GT.85.) RH_num(i,k)=10
-      IF (rh(i,k).GT.90.) RH_num(i,k)=11
+      IF (rh(i,k)>85.) RH_num(i,k)=10
+      IF (rh(i,k)>90.) RH_num(i,k)=11
       delta(i,k)=(rh(i,k)-RH_tab(RH_num(i,k)))*fact_RH(RH_num(i,k))
     ENDDO
@@ -236,5 +236,5 @@
   piz_allaer(:,:,2,:)=SUM(tau_ae(:,:,1:naero,:)*piz_ae(:,:,1:naero,:),dim=3)/tau_allaer(:,:,2,:)
   piz_allaer(:,:,2,:)=MIN(MAX(piz_allaer(:,:,2,:),0.01),1.0)
-  WHERE (tau_allaer(:,:,2,:).LE.tau_min) piz_allaer(:,:,2,:)=1.0
+  WHERE (tau_allaer(:,:,2,:)<=tau_min) piz_allaer(:,:,2,:)=1.0
 
   cg_allaer(:,:,2,:)=SUM(tau_ae(:,:,1:naero,:)*piz_ae(:,:,1:naero,:)*cg_ae(:,:,1:naero,:),dim=3)/  & 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_lw_rrtm.F90	(revision 5082)
@@ -45,5 +45,5 @@
   modname='splaeropt_lw_rrtm'
   ! 
-  IF (NLW.NE.nbands_lw_rrtm) THEN
+  IF (NLW/=nbands_lw_rrtm) THEN
     CALL abort_physic(modname,'Erreur NLW doit etre egal a 16 pour cette routine',1)
   ENDIF
